## org.beepcore.beep.profile.sasl
Class SASLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthenticationFailureException, ConfigurationException, IllegalOTPStateException, InvalidParameterException, NoMorePasswordsException, PeerAbortException, UserDBNotFoundException

public class SASLException
extends org.beepcore.beep.core.BEEPException

This is the general superclass for all SASL exceptions.

See Also:
  Serialized Form

Constructor Summary
`SASLException(java.lang.String message)`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SASLException

    public SASLException(java.lang.String message)

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.